import "antd/es/form/style";
import _Form from "antd/es/form";
import "antd/es/card/style";
import _Card from "antd/es/card";

var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import * as React from "react";
import { isFn } from "../utils/tool";
import SButton from "./SButton";
import SForm from "./SForm";

var _setFormData;

export default function SFilter(_a) {
  var formProps = _a.formProps,
      buttons = _a.buttons,
      searchLoading = _a.searchLoading,
      searchHandler = _a.searchHandler,
      resetForm = _a.resetForm,
      rest = __rest(_a, ["formProps", "buttons", "searchLoading", "searchHandler", "resetForm"]);

  var reset = function () {
    if (_setFormData) _setFormData({});
  };

  var getInnerApi = function (_a) {
    var setFormData = _a.setFormData;
    _setFormData = setFormData;
  };

  return React.createElement(_Card, null, React.createElement(_Form, __assign({
    layout: "inline"
  }, formProps), React.createElement(SForm, __assign({
    getInnerApi: getInnerApi,
    asFormChildren: true
  }, rest)), React.createElement(_Form.Item, null, React.createElement(SButton, {
    handler: searchHandler,
    label: "Search",
    type: "primary",
    loading: searchLoading,
    props: {
      htmlType: "submit"
    }
  }), resetForm && React.createElement(SButton, {
    style: {
      marginLeft: 10
    },
    label: "Reset",
    handler: reset
  }), buttons.map(function (_a) {
    var Comp = _a.Comp,
        label = _a.label,
        key = _a.key,
        rest = __rest(_a, ["Comp", "label", "key"]);

    if (Comp) {
      return isFn(Comp) ? React.createElement(Comp, {
        key: key
      }) : Comp;
    }

    return React.createElement(SButton, __assign({
      style: {
        marginLeft: 10
      },
      key: label,
      label: label
    }, rest));
  }))));
}
SFilter.defaultProps = {
  buttons: []
};