import "antd/es/table/style";
import _Table from "antd/es/table";
import "antd/es/card/style";
import _Card from "antd/es/card";

var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import * as React from "react";
export default function STable(_a) {
  var tableData = _a.tableData,
      tableColumns = _a.tableColumns,
      tableProps = _a.tableProps,
      paginationProps = _a.paginationProps,
      _b = _a.pageNum,
      pageNum = _b === void 0 ? 1 : _b,
      _c = _a.pageSize,
      pageSize = _c === void 0 ? 10 : _c,
      _d = _a.totalNum,
      totalNum = _d === void 0 ? 0 : _d,
      pageChange = _a.pageChange,
      loading = _a.loading;

  var pageSizeChange = function (_pageNum, pageSize) {
    return pageChange(1, pageSize);
  };

  return React.createElement(_Card, {
    style: {
      marginTop: 20
    }
  }, React.createElement(_Table, __assign({
    loading: loading,
    rowKey: tableProps.rowKey || "id",
    dataSource: tableData,
    columns: tableColumns,
    pagination: __assign({
      current: pageNum,
      pageSize: pageSize,
      total: totalNum,
      onChange: pageChange,
      onShowSizeChange: pageSizeChange,
      showTotal: function (total, range) {
        return range[0] + "-" + range[1] + " of " + total + " items";
      }
    }, paginationProps)
  }, tableProps)));
}
STable.defaultProps = {
  tableData: [],
  tableProps: {}
};